Bug 140381 - new port: shells/dash
Summary: new port: shells/dash
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-08 08:10 UTC by Eitan Adler
Modified: 2009-11-21 05:20 UTC (History)
0 users

See Also:


Attachments
file.shar (1.61 KB, text/plain)
2009-11-08 08:10 UTC, Eitan Adler
no flags Details
Makefile (545 bytes, application/octet-stream)
2009-11-10 20:35 UTC, Eitan Adler
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eitan Adler freebsd_committer freebsd_triage 2009-11-08 08:10:02 UTC
The attached shar file extracts to a Makefile, pkg-descr, etc for the dash shell.

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2009-11-09 17:31:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-11-09 17:32:00 UTC
State Changed
From-To: open->feedback

Did you forget to put files/* into shar?
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2009-11-10 20:35:46 UTC
Actually - yes I did.

But I've attached a new Makefile that does not need the old patches
(and files/*)
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2009-11-13 13:40:16 UTC
Something got messed up with the attachment.
Portlint reports no errors and 2 unfixable warnings...

# New ports collection makefile for:    dash
# Date created:                 Nov 10, 2009
# Whom:                         Eitan Adler
#
# $FreeBSD$
#

PORTNAME=       dash
PORTVERSION=    0.5.5.1
CATEGORIES=     shells
MASTER_SITES=   http://gondor.apana.org.au/~herbert/dash/files/

MAINTAINER=     EitanAdlerList@gmail.com
COMMENT=        A POSIX-compliant implementation of /bin/sh

MAN1=           dash.1
PLIST_FILES=    bin/dash
CFLAGS+=        -DUNUSABLE_RT_SIGNALS
USE_GMAKE=      yes
GNU_CONFIGURE=  yes

post-patch:
        @${REINPLACE_CMD} -e '/COMMON_CFLAGS =/ s|$$| ${CFLAGS}|'
${WRKSRC}/src/Makefile.in

.include <bsd.port.mk>
Comment 5 Dmitry Marakasov freebsd_committer 2009-11-21 05:17:23 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2009-11-21 05:17:33 UTC
amdmi3      2009-11-21 05:17:19 UTC

  FreeBSD ports repository

  Modified files:
    shells               Makefile 
  Added files:
    shells/dash          Makefile distinfo pkg-descr 
  Log:
  DASH is a POSIX-compliant implementation of /bin/sh that aims to be as small as
  possible. It does this without sacrificing speed where possible. In fact, it
  is significantly faster than bash (the GNU Bourne-Again SHell) for most tasks.
  
  WWW: http://gondor.apana.org.au/~herbert/dash/
  
  PR:             140381
  Submitted by:   Eitan Adler <EitanAdlerList@gmail.com>
  
  Revision  Changes    Path
  1.80      +1 -0      ports/shells/Makefile
  1.1       +27 -0     ports/shells/dash/Makefile (new)
  1.1       +3 -0      ports/shells/dash/distinfo (new)
  1.1       +5 -0      ports/shells/dash/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"